import React from 'react';
import { View } from 'react-native';
import { useColorScheme } from '@/hooks/use-color-scheme';

export function Divider() {
  const colorScheme = useColorScheme();
  const borderColor = colorScheme === 'dark' ? '#1D1E24' : '#E2E5ED';

  return <View style={[styles.divider, { backgroundColor: borderColor }]} />;
}

const styles = {
  divider: {
    height: 1,
    marginVertical: 24,
  },
};
